|
|
59ea72 |
From 38e955cbf030bc9e564bd87bc9f02f949884a83f Mon Sep 17 00:00:00 2001
|
|
|
59ea72 |
From: Zhilong Liu <zlliu@suse.com>
|
|
|
59ea72 |
Date: Wed, 30 May 2018 15:04:05 +0800
|
|
|
59ea72 |
Subject: [RHEL7.5 PATCH 24/26] mdadm/test: mdadm needn't make install on the
|
|
|
59ea72 |
system
|
|
|
59ea72 |
|
|
|
59ea72 |
Fixes: beb71de04d31 ("mdadm/test: enable clustermd testing under clustermd_tests/")
|
|
|
59ea72 |
clustermd_tests/func.sh:
|
|
|
59ea72 |
remove unnecessary 'make install', just ensure 'make everything' has done.
|
|
|
59ea72 |
the original idea is to make the /sbin/mdadm version same as ./mdadm, and
|
|
|
59ea72 |
this breakage has pointed out by commit:
|
|
|
59ea72 |
59416da78fc6 ("tests/func.sh: Fix some total breakage in the test scripts")
|
|
|
59ea72 |
|
|
|
59ea72 |
Signed-off-by: Zhilong Liu <zlliu@suse.com>
|
|
|
59ea72 |
Signed-off-by: Jes Sorensen <jsorensen@fb.com>
|
|
|
59ea72 |
---
|
|
|
59ea72 |
clustermd_tests/func.sh | 11 ++++-------
|
|
|
59ea72 |
1 file changed, 4 insertions(+), 7 deletions(-)
|
|
|
59ea72 |
|
|
|
59ea72 |
diff --git a/clustermd_tests/func.sh b/clustermd_tests/func.sh
|
|
|
59ea72 |
index c2be0e5..642cc96 100644
|
|
|
59ea72 |
--- a/clustermd_tests/func.sh
|
|
|
59ea72 |
+++ b/clustermd_tests/func.sh
|
|
|
59ea72 |
@@ -86,10 +86,13 @@ check_env()
|
|
|
59ea72 |
echo "testing can only be done as 'root'."
|
|
|
59ea72 |
exit 1
|
|
|
59ea72 |
}
|
|
|
59ea72 |
+ [ \! -x $mdadm ] && {
|
|
|
59ea72 |
+ echo "test: please run make everything before perform testing."
|
|
|
59ea72 |
+ exit 1
|
|
|
59ea72 |
+ }
|
|
|
59ea72 |
check_ssh
|
|
|
59ea72 |
commands=(mdadm iscsiadm bc modinfo dlm_controld
|
|
|
59ea72 |
udevadm crm crm_mon lsblk pgrep sbd)
|
|
|
59ea72 |
- mdadm_src_ver="$($mdadm -V 2>&1)"
|
|
|
59ea72 |
for ip in $NODE1 $NODE2
|
|
|
59ea72 |
do
|
|
|
59ea72 |
for cmd in ${commands[@]}
|
|
|
59ea72 |
@@ -99,12 +102,6 @@ check_env()
|
|
|
59ea72 |
exit 1
|
|
|
59ea72 |
}
|
|
|
59ea72 |
done
|
|
|
59ea72 |
- mdadm_sbin_ver="$(ssh $ip "mdadm -V 2>&1")"
|
|
|
59ea72 |
- if [ "$mdadm_src_ver" != "$mdadm_sbin_ver" ]
|
|
|
59ea72 |
- then
|
|
|
59ea72 |
- echo "$ip: please run 'make install' before testing."
|
|
|
59ea72 |
- exit 1
|
|
|
59ea72 |
- fi
|
|
|
59ea72 |
mods=(raid1 raid10 md_mod dlm md-cluster)
|
|
|
59ea72 |
for mod in ${mods[@]}
|
|
|
59ea72 |
do
|
|
|
59ea72 |
--
|
|
|
59ea72 |
2.7.4
|
|
|
59ea72 |
|